# Create

`POST /api/2.0/accounts/{account_id}/vpc-endpoints`

Creates a VPC endpoint configuration, which represents a
 [VPC endpoint](https://docs.aws.amazon.com/vpc/latest/privatelink/vpc-endpoints.html)
 object in AWS used to communicate privately with <Databricks> over
 [AWS PrivateLink](https://aws.amazon.com/privatelink).

 After you create the VPC endpoint configuration, the <Databricks>
 [endpoint service](https://docs.aws.amazon.com/vpc/latest/privatelink/privatelink-share-your-services.html)
 automatically accepts the VPC endpoint.

 Before configuring PrivateLink, read the
 [<Databricks> article about PrivateLink](https://docs.databricks.com/administration-guide/cloud-configurations/aws/privatelink.html).

API scopes: networking

Clouds: AWS, GCP

## Path parameters

- `account_id` (string, optional)

## Request body

- `vpc_endpoint_name` (string, optional)
  The human-readable name of the storage configuration.
  Constraints: `[ 4 .. 256 ] characters`
- `region` (string, optional)
  The region in which this VPC endpoint object exists.
- `aws_vpc_endpoint_id` (string, optional)
  The ID of the VPC endpoint object in AWS.
- `gcp_vpc_endpoint_info` (object, required)
  The cloud info of this vpc endpoint.
  - `psc_connection_id` (string, optional)
    **GCP:** The ID of the underlying PSC Connection in GCP consumer projects. This is assigned by GCP when user sets up the
    PSC connection in their consumer project on GCP. Read only to users.
  - `project_id` (string, optional)
    **GCP:** The ID of the GCP consumer project this PSC endpoint is created within.
  - `psc_endpoint_name` (string, optional)
    **GCP:** The name of this PSC connection in GCP consumer project. This is named by user when user sets up the PSC connection
    in their consumer project on GCP.
  - `endpoint_region` (string, optional)
    **GCP:** The GCP region of the PSC connection endpoint.
    Currently GCP only supports same region PSC connection, which means the endpoint region needs to be same with the
    workspace region to build a PSC connection successfully.
  - `service_attachment_id` (string, optional)
    **GCP:** The ID of the Service Attachment on our Control Plane this PSC endpoint connects to. Read only to users.

## Returns

Returns the VpcEndpoint object.

## Response

```json
{
  "vpc_endpoint_id": "string",
  "account_id": "string",
  "vpc_endpoint_name": "string",
  "aws_vpc_endpoint_id": "string",
  "aws_endpoint_service_id": "string",
  "use_case": "string",
  "region": "string",
  "aws_account_id": "string",
  "state": "string",
  "gcp_vpc_endpoint_info": {
    "psc_connection_id": "string",
    "project_id": "string",
    "psc_endpoint_name": "string",
    "endpoint_region": "string",
    "service_attachment_id": "string"
  }
}
```

